Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.cache
Class SlidingExpirable

    java.lang.Object
      com.servingxml.components.cache.SlidingExpirable

All Implemented Interfaces:
  Expirable

    public class SlidingExpirable

extends java.lang.Object
implements Expirable

Defines an interface for a sliding expiration.

Field Summary

Fields inherited from interface com.servingxml.io.cache.Expirable
`IMMEDIATE_EXPIRY, NEVER_EXPIRES`

Constructor Summary
`SlidingExpirable(long elapsed)`

Method Summary
`long` | `getLastModified(long elapsed)` Returns the last modified date.
`boolean` | `hasExpired(long ts)` Called by the cache manager when it is processing a validation event that this resource state can receive.
`boolean` | `immediateExpiry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlidingExpirable

    public SlidingExpirable(long elapsed)

Method Detail

### hasExpired

    public boolean hasExpired(long ts)

  Description copied from interface: `Expirable`
  Called by the cache manager when it is processing a validation event that this resource state can receive.

  A concrete subclass must provide an implementation of this method to indicate whether the cached resource has expired. It may be called often, so it should execute quickly.

  Specified by:
    `hasExpired` in interface `Expirable`

### getLastModified

    public final long getLastModified(long elapsed)

  Description copied from interface: `Expirable`
  Returns the last modified date.

  A concrete subclass must provide an implementation of this method to indicate whether the cached resource has changed. It may be called often, so it should execute quickly.

  Specified by:
    `getLastModified` in interface `Expirable`

### immediateExpiry

    public boolean immediateExpiry()

  Specified by:
    `immediateExpiry` in interface `Expirable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD